AXI_CONTROL_SETS:
  AXI_MASTER_CTRL:
    axi_interconnect: "${::AXI_INTERCONNECT_NAME}"
    axi_clk: "${::AXI_MASTER_CLK}"
    axi_rstn: "${::AXI_PRIMARY_SLAVE_RSTN}"
    axi_freq: "${::AXI_MASTER_CLK_FREQ}"
  AXI_C2C_CTRL:
    axi_interconnect: "${::AXI_C2C_INTERCONNECT_NAME}"
    axi_clk: "${::AXI_MASTER_CLK}"
    axi_rstn: "${::AXI_C2C_SLAVE_RSTN}"
    axi_freq: "${::AXI_MASTER_CLK_FREQ}"
  AXI_LOCAL_CTRL:
    axi_interconnect: "AXI_LOCAL_CTRL"
    axi_clk: "${::AXI_MASTER_CLK}"
    axi_rstn: "${::AXI_PRIMARY_SLAVE_RSTN}"
    axi_freq: "${::AXI_MASTER_CLK_FREQ}"

AXI_SLAVES:
  C2C1:
    TCL_CALL:
      command: "AXI_C2C_MASTER"
      device_name: "C2C1"
      primary_serdes: "1"
      init_clk: "${::INIT_CLK}"
      refclk_freq: "100.000"
      singleend_refclk: True      
      irq_port: "${::IRQ0_INTR_CTRL}"
      speed: 5
      axi_control: "${::AXI_C2C_CTRL}"
      addr:
        offset: 0x80000000
        range: "16M"

    SUB_SLAVES:
      C2C1B:
        TCL_CALL:
          command: "AXI_C2C_MASTER"
          device_name: "C2C1B"
          primary_serdes: "C2C1_PHY"
          init_clk: "${::INIT_CLK}"
          refclk_freq: "100.000"
          irq_port: "${::IRQ0_INTR_CTRL}"
          speed: 5
          axi_control: "${::AXI_C2C_CTRL}"
          addr_lite:
            offset: 0x81000000
            range: "16M"    
      C2C2:
        TCL_CALL:
          command: "AXI_C2C_MASTER"
          device_name: "C2C2"
          axi_control: "${::AXI_C2C_CTRL}"
          primary_serdes: "C2C1_PHY"
          init_clk: "${::INIT_CLK}"
          irq_port: "${::IRQ0_INTR_CTRL}"
          speed: 5
          refclk_freq: "100.000"
          addr:
            offset: 0x82000000
            range: "16M"

        SUB_SLAVES:
          C2C2B:
            TCL_CALL:
              command: "AXI_C2C_MASTER"
              device_name: "C2C2B"
              axi_control: "${::AXI_C2C_CTRL}"
              primary_serdes: "1"
              singleend_refclk: True      
              init_clk: "${::INIT_CLK}"
              irq_port: "${::IRQ0_INTR_CTRL}"
              refclk_freq: "100.000"
              speed: 5
              addr_lite:
                offset: 0x83000000
                range: "16M"
            SUB_SLAVES:    
              C2C2_AXI_FW:
                TCL_CALL:
                  command: "AXI_IP_AXI_FW"
                  axi_fw_bus: "/C2C2/s_axi"
                  axi_control: "${::AXI_C2C_CTRL}"
                XML: "address_table/modules/C2C2_AXI_FW.xml"
                UHAL_BASE: 0x13000000
              C2C2_AXILITE_FW:
                TCL_CALL:
                  command: "AXI_IP_AXI_FW"
                  axi_fw_bus: "/C2C2B/s_axi_lite"
                  axi_control: "${::AXI_C2C_CTRL}"
                XML: "address_table/modules/C2C2_AXILITE_FW.xml"
                UHAL_BASE: 0x14000000
      C2C1_AXI_FW:
        TCL_CALL:
          command: "AXI_IP_AXI_FW"
          axi_fw_bus: "/C2C1/s_axi"
          axi_control: "${::AXI_C2C_CTRL}"
        XML: "address_table/modules/C2C1_AXI_FW.xml"
        UHAL_BASE: 0x0D000000
      C2C1_AXILITE_FW:
        TCL_CALL:
          command: "AXI_IP_AXI_FW"
          axi_fw_bus: "/C2C1B/s_axi_lite"
          axi_control: "${::AXI_C2C_CTRL}"
        XML: "address_table/modules/C2C1_AXILITE_FW.xml"
        UHAL_BASE: 0x0E000000

  INT_AXI_FW:
    TCL_CALL:
      command: "AXI_IP_AXI_FW"
      axi_fw_bus: "/${::ZYNQ_NAME}/M_AXI_GP0"
      axi_control: "${::AXI_C2C_CTRL}"
    XML: "address_table/modules/INT_AXI_FW.xml"
    UHAL_BASE: 0x20000000

  AXI_LOCAL_CTRL:
    TCL_CALL:
      command: "BUILD_CHILD_AXI_INTERCONNECT"
      axi_clk: "${::AXI_MASTER_CLK}"
      axi_rstn: "${::AXI_PRIMARY_SLAVE_RSTN}"
      parent: "${::AXI_INTERCONNECT_NAME}"
      master_clk: "${::AXI_MASTER_CLK}"
      master_rstn: "${::AXI_PRIMARY_SLAVE_RSTN}"
    SUB_SLAVES:      
      PL_MEM:
        TCL_CALL:
          command: "AXI_IP_BRAM"
          axi_control: "${::AXI_LOCAL_CTRL}"
          addr:
            offset: -1
            range: "8K"
        XML: "address_table/modules/PL_MEM.xml"
        UHAL_BASE: 0x15000000
      PL_MEM_CM:
        TCL_CALL:
          command: "AXI_IP_BRAM"
          axi_control: "${::AXI_LOCAL_CTRL}"
          addr:
            offset: -1
            range: "8K"
      SERV:
        TCL_CALL:
          command: "AXI_PL_DEV_CONNECT"
          axi_control: "${::AXI_LOCAL_CTRL}"
        XML: "address_table/modules/SERV_rev2a.xml"
        UHAL_BASE: 0x04000000
        HDL:
          map_template: "axi_generic/template_map.vhd"
      SLAVE_I2C:
        TCL_CALL:
          command: "AXI_PL_DEV_CONNECT"
          axi_control: "${::AXI_LOCAL_CTRL}"
          addr:
            offset: -1
            range: "8K"
        XML: "address_table/modules/SLAVE_I2C.xml"
        UHAL_BASE: 0x05000000


    
  SI:
    TCL_CALL:
      command: "AXI_IP_I2C"
      axi_control: "${::AXI_MASTER_CTRL}"
      irq_port: "${::IRQ0_INTR_CTRL}"
      dt_data: "compatible = \"xlnx,axi-iic-2.0\", \"xlnx,xps-iic-2.00.a\";"


  PLXVC:
    TCL_CALL:
      command: "AXI_PL_DEV_CONNECT"
      axi_control: "${::AXI_MASTER_CTRL}"
    XML: "address_table/modules/plXVC_rev2.xml"
    UHAL_BASE: 0x06000000
    HDL: 
      map_template: "axi_generic/template_map_withbram.vhd"

  CM:
    TCL_CALL:
      command: "AXI_PL_DEV_CONNECT"
      axi_control: "${::AXI_MASTER_CTRL}"
      addr:
        offset: 0x40100000
        range: "128K"
    XML: "address_table/modules/CM_7s.xml"
    UHAL_BASE: 0x03000000
    HDL: 
      map_template: "axi_generic/template_map_withbram.vhd"

  SM_INFO:
    TCL_CALL:
      command: "AXI_PL_DEV_CONNECT"
      axi_control: "${::AXI_MASTER_CTRL}"
    XML: "address_table/modules/FW_INFO.xml"
    UHAL_BASE: 0x0A000000
    HDL: 
      map_template: "axi_generic/template_map_withbram.vhd"

  MONITOR:
    TCL_CALL:
      command: "AXI_IP_XADC"
      axi_control: "${::AXI_MASTER_CTRL}"
      enable_i2c_pins: 0
    XML: "address_table/modules/MONITOR.xml"
    UHAL_BASE: 0x0B000000

  CM1_UART:
    TCL_CALL:
      command: "AXI_IP_UART"
      baud_rate: "115200"
      irq_port: "${::IRQ0_INTR_CTRL}"
      axi_control: "${::AXI_MASTER_CTRL}"
      remote_slave: "0"
      dt_data: "port-number = <1>;"

  CM2_UART:
    TCL_CALL:
      command: "AXI_IP_UART"
      baud_rate: "115200"
      irq_port: "${::IRQ0_INTR_CTRL}"
      axi_control: "${::AXI_MASTER_CTRL}"
      remote_slave: "0"
      dt_data: "port-number = <2>;"


  CM_PB_UART:
    TCL_CALL:
      command: "AXI_IP_UART"
      baud_rate: "115200"
      irq_port: "${::IRQ0_INTR_CTRL}"
      axi_control: "${::AXI_MASTER_CTRL}"
      remote_slave: "0"
      dt_data: "port-number = <100>;"



  ESM_UART:
    TCL_CALL:
      command: "AXI_IP_UART"
      baud_rate: "115200"
      irq_port: "${::IRQ0_INTR_CTRL}"
      axi_control: "${::AXI_MASTER_CTRL}"
      remote_slave: "0"
      dt_data: "port-number = <3>;"


  AXI_MON:
    TCL_CALL:
      command: "AXI_IP_AXI_MONITOR"
      axi_control: "${::AXI_C2C_CTRL}"
      core_clk: "${::AXI_MASTER_CLK}"
      core_rstn: "${::AXI_PRIMARY_MASTER_RSTN}"
      mon_axi:
        - "${::ZYNQ_NAME}/M_AXI_GP0"
        - "${::ZYNQ_NAME}/M_AXI_GP1"
      mon_axi_clk:
        - ${::AXI_MASTER_CLK}
        - ${::AXI_MASTER_CLK}
      mon_axi_rstn: "${::AXI_PRIMARY_MASTER_RSTN} ${::AXI_C2C_MASTER_RSTN}"

    XML: "address_table/modules/AXI_MONITOR.xml"
    UHAL_BASE: 0x1F000000

  IRQ_CTRL:
    XML: "address_table/modules/INTERRUPT_CONTROLLER.xml"
    UHAL_BASE: 0x16000000


CORES:
  onboardclk:
    TCL_CALL:
      command: BuildClockWizard
      in_clk_type: Differential_clock_capable_pin
      in_clk_freq_MHZ: 200
      out_clks:
        1: 200
        2: 50
        3: 125
